function waveHeight=createSurface(filename, seastate,range)
% A funtion creating a sinusoidal sea surface corresponding to the sea
% state, and creates a .ati file for use in bellhop
cd MakedFile
% range = range/1000;
waveHeight = [0 0.1 0.1+0.4*rand(1) 0.5+0.75*rand(1) 1.25+1.25*rand(1)...
    2.5+1.5*rand(1)  4+2*rand(1) 6+3*rand(1) 9+5*rand(1) 14+2*rand(1)];
waveWidth = [8.5, 8.5, 8.5, 8.5, 8.5, 33.8, 33.8, 76.5, 136, 212.2];
range =range/1000;

% dependent of range and seastate
t = linspace(0,2000*range/waveWidth(seastate+1)*pi,ceil(3*2000*range/waveWidth(seastate+1))+1); 
x = linspace(0,range,length(t)); 
y = waveHeight(seastate+1)*sin(t)+waveHeight(seastate+1);
 

if seastate == 0;
    t = [0 0];
    x = linspace(0,range,length(t)); 
    y = waveHeight(seastate+1)*sin(t)+waveHeight(seastate+1);
end
fid = fopen([filename '.ati'], 'w');

fprintf(fid, '''%s''\n', 'L');
fprintf(fid, '%i \n', length(t));
for i = 1:length(t)
    fprintf(fid, '\t %f \t %f \n', x(i),y(i));
end
fclose(fid);
cd ..
end