function [SSP, SSP_z] = readSpeedAndDepth(filename)
% Function for reading measured sound speed profile

% Reads numeric data from .txt file. 
temp  = dlmread(filename);
SSP = temp(:,2);
SSP_z = temp(:,1);

SSP_z(end) = SSP_z(end)+0.1;
SSP(end) = SSP(end)+0.1;
end