function [transducerData] = read_txt (fID)
% read_txt - function for reading .txt files
% 
% This function plots water absorption, ambient noise, impulse response and
% raytrace
% 
% plotfunction(handles)
% 
% Input:
% fID - A .txt file which contains numerical data.
%
% Output:
% transducerData - Transducer data info (Directivity)
% 
% Comment:
% No written words can be in the .txt file
%
% Last modified 09.12.2014 by
% Frank Hetland & Leo Hauge


% Reads numeric data from .txt file. 
transducerData = dlmread(fID);



