function realTimeFreqShift(hListener,DopplerShift)
% a.Source
% handles.values
global forever2 pathGUI
freq = DopplerShift.settings.MaxShift;
fs = 96000;
% hsin = dsp.SineWave('Frequency',freq, 'SampleRate', 1000);
% hsin.SamplesPerFrame = 10;
% fSize = DopplerShift.settings.samplesPerFrame;%4096/4;
fSize = 16*1024;
delay = DopplerShift.settings.delay;
samples = round(fs*delay);
b = zeros(samples,1);
b(samples) = 5;

signal = zeros(samples+fSize-1+2*freq,2);
zeroFrame = zeros(fSize,2);
out = zeros(fSize,2);

t2 = linspace(0,2*pi,fs);
timeS = max(t2) /40;

% time signal plot
% hts1 = dsp.TimeScope('SampleRate', fs,'TimeSpan', timeS);

[Speaker, Mic] = CreateSpeakerAndMic('default', fs, fSize, 2);

t = linspace(0,fSize/fs,fSize);
% spectrum analyzer
hsa = dsp.SpectrumAnalyzer('SampleRate',fs,'PlotAsTwoSidedSpectrum',false);
hsa.FrequencyResolutionMethod = 'RBW';
hsa.FrequencySpan  =  'Start and stop frequencies';
hsa.StartFrequency = 1000;
hsa.StopFrequency  = 40000;%2*freq;
hsa.YLimits = [-150 20];
Hlp = design(fdesign.nyquist(3));     % Lowpass prototype
N = length(Hlp.Numerator)-1;
Fc = .35;                              % Desired frequency shift
j = complex(0,1);
Hbp = copy(Hlp);
Hbp.Numerator = Hbp.Numerator.*exp(j*Fc*pi*(0:N));
tt =Hbp.coefficients;
tt = tt{1:end};
% % % % % % % % % % % % % % % % % % % % 
% % % % % % % % % % % % % % % % % % % % hFilt = designfilt('hilbertfir','FilterOrder',200,'TransitionWidth',0.005);
% % % % % % % % % % % % % % % % % % % % tt = hFilt.Coefficients;


% % bsFilt = designfilt('bandpassfir','FilterOrder',300, ...
% %          'CutoffFrequency1',1000,'CutoffFrequency2',40000, ...
% %          'SampleRate',96000);
% % tt = bsFilt.Coefficients;


% w2 = 2*pi*f2;
% .*exp(1i*w2.*t);

cd (pathGUI)

emptymat=[];
emptymat2=[];
while forever2,
% for i = 1:10
    pause(0.000001)
    variable = freq*hListener.Source{1}.Value;
    set(DopplerShift.FreqShift, 'String', num2str(variable));
    w2 = 2*pi*variable;
    in = step(Mic);
    tmp1 = in(:,1);
    tmp2 = in(:,2);
    emptymat2=[emptymat2;tmp2];
    if variable~=0
%         figure; plot(in(:,1))
% %         tmp1 = resample(tmp1,round((variable+fs/2)/10),fs/2/10);
% %         tmp2 = resample(tmp2,fs/2/10,round((variable+fs/2)/10));
        tmp1 = tmp1.*exp(1i*w2.*t)';
        tmp2 = tmp2.*exp(-1i*w2.*t)';
%         tmp1 = filter(tt,1,tmp1);
%         tmp2 = filter(tt,1,tmp2);
%            Y = fft(y);
%         tmp2 = real(tmp2);
%         tmp1 = real(tmp1);
        TMP1 = fft(tmp1);
        TMP2 = fft(tmp2);
        
        l = length(TMP1);
%         l2 = length(TMP2);

%         TMP2 = TMP2(1:l/2);
%         TMP1 = TMP1(1:l/2);
%         TMP11 = fliplr(TMP1);
%         TMP22 = fliplr(TMP2);
% %         TMP1 = TMP1 + TMP11;
% %         TMP2 = TMP2 + TMP22;
        TMP1 = [TMP1(1:l/2);zeros(l/2,1)];%TMP11(1:l/2)];
        TMP2 = [TMP2(1:l/2);zeros(l/2,1)];%;TMP22(1:l/2)];
        
        tmp1 = ifft(TMP1);
        tmp2 = ifft(TMP2);
        tmp2 = real(tmp2);
        tmp1 = real(tmp1);
%         tmp1 = abs(tmp1).*sign(real(tmp1));
%         tmp2 = abs(tmp2).*sign(real(tmp2));
%         figure; plot(tmp1)

%         l1 = length(tmp1);
%         l2 = length(tmp2);

%         t1 = linspace(1,l1,fSize);
%         t2 = linspace(1,l2,fSize);

%         in(:,1) = interp1(1:l1,tmp1,t1);
%         in(:,2) = interp1(1:l2,tmp2,t2);
    end
    
%     tmp2 = conv(tmp2,b);
%     tmp1 = conv(tmp1,b);
%     l1 = length(tmp1);
% 	l2 = length(tmp2);
    
%     signal(1:l2,1)  = signal(1:l2,1) + tmp2;
%     signal(1:l1,2)  = signal(1:l1,2) + tmp1;
    out(:,1) = tmp2;
    out(:,2) = tmp1;
    emptymat=[emptymat;out(:,2)];
%     out(:,1) = signal(1:fSize,1);
%     out(:,2) = signal(1:fSize,2);
%     signal = [signal(fSize+1:end,:);zeroFrame];
%     signal = [signalChannel{m}(fSize+1:end,1);zeroFrame];
    
%     sinus2 = sin((freq+(variable-variable/10)).*t2);
%     sinus3 = sin((21000+(variable)).*t2);
%     step(hts1, tmp2);
%     step(hsa,out);

    step(Speaker,out);
    
end
% release(hts1)
% release(hsa)
release(Mic)
release(Speaker)
clear hts1 Mic sinus2 Speaker hsa;