function writeEnvForBounce(handles)
global filnam pathnam
title = [filnam 'Bounce.env'];
% cd MakedFile;
% pathnam = cd;
% cd ..
% % filnam=['MakedFile\' title]; 
% filnam=title;
% filename = [pathnam '\' title(1:end-4)];
disp(['*** Loaded ' filnam ' ***'])


TX_depth =handles.class1.verticalTx;
RX_depth = handles.class1.vertical;
RX_range = handles.class1.horizontal/1000;
freq = handles.settings.carrierF*1000;
cp =  handles.class1.cBottom; % Sjekk ut!
cs =  handles.class1.cShear; 
% options1 = handles.settings.EnvOpt1;% see GeneralDescription pg 6 
% options2 = handles.settings.EnvOpt2;% see GeneralDescription pg 7 (A)
% options3 = handles.settings.EnvOpt3; % see GeneralDescription pg 7 (R,A)
% nbeams = handles.class1.numberOfReflections;
% launching_angles = [-89, 89];
SSP = handles.settings.SSP; %sound speed profile
SSP_z= handles.settings.SSP_z; %sound speed depth
zmax =max(SSP_z);
% cs_bottom = 0 ;% shearwave speed bottom
density_bottom = handles.class1.densityBottom; %g/cm3
alpha_bottom= [10 1]; %dB/m

% actpath = cd;
%  path(genpath('C:\Users\leo\Dropbox\Prosjektoppgave_Leo_og_Frank\Masteroppgave\MATLAB\BELLHOP_INTERFACE_AK_v2.1_BP\BellhopForOss'), path);  % !!! Add to Matlab path the address at which Bellhop is installed on your computer.
% acthpath= cd;
%  format long;


%% write the .env file EX  AMPLE
% options1 = 'SVM'; % !!! 'SVW *' for nonflat surface 
% options2 = 'A';
% options3 = 'A'; 

 nTX_depth= 1; % change with several TX/RX!! 
 nRX_depth= 1; 
 nRX_range= 1;
 if (options3=='C')
    % change with several TX/RX!! 
    nRX_depth= 501;
    nRX_range= 501;
 end
range_box = RX_range*1.1; 
depth_box = zmax;
% nbeams = 10000; % !!! number of beams
% launching_angles = [-50 50]; % !!! range of launching angles
% 
% SSP= [1540, 1539, 1535, 1530, 1529]; %c*ones(1, 5); % !!! SSP values % [1540, 1539, 1535, 1530, 1529]; 
%%% if SSP_z = empty 
%%%%%%%%%%%%%%% SSP_z= linspace(0, zmax, length(SSP)); % !!! SSP depths
%%% end 
% 
% cs_bottom = 219.106; % !!!
% density_bottom = 1.800; % !!! in g/cm3
% alpha_bottom = [0.668 1.3]; % !!! in dB/m 

%% write the env. file 1:
cd('MakedFile')

f = fopen([title], 'w');
fprintf(f, '''%s''\n', title(1:end-4));
fprintf(f, '%f ! Frequency (Hz)\n', freq);
fprintf(f, '1 ! nmedia\n');
fprintf(f, '''%s'' ! OPTIONS1\n', options1);
fprintf(f, '51 0 %f \n', zmax);

for i = 1 :length(SSP)
fprintf(f, '%f %f / \n', SSP_z(i), SSP(i));
end

fprintf(f, '''%s'' 0.0 ! OPTIONS2\n', options2);
% fprintf(f, '%d 1600 110 1.9 0.8 2.5 / ! bottom line \n', zmax);
fprintf(f, '%f %f %f %f %f %f/\n', zmax, cp, cs_bottom, density_bottom, alpha_bottom(1), alpha_bottom(2));
fprintf(f, '%d ! number of sources\n', nTX_depth);
fprintf(f, '%d / ! sources depth\n', TX_depth);
fprintf(f, '%d ! number of rec in depth\n', nRX_depth);
if(length(RX_depth) == 2)
    fprintf(f, '%f %f / ! receivers depth\n', RX_depth(1), RX_depth(2));
else
    fprintf(f, '%f / ! receivers depth\n', RX_depth);
end

fprintf(f, '%d ! number of rec in range\n', nRX_range);
if(length(RX_range) == 2)
    fprintf(f, '%f %f / ! receivers range\n', RX_range(1)/1000, RX_range(2)/1000);
else
    fprintf(f, '%f / ! receivers range\n', RX_range/1000);
end
fprintf(f, '''%s'' ! OPTIONS3\n', options3);
fprintf(f, '%d ! nbeams(number of launching angles)\n', nbeams);
fprintf(f, '%f %f / ! angles [min max] degrees \n', launching_angles);
fprintf(f, '0.0 %f %f  ! STEP (m), ZBOX (m), RBOX (km)\n', depth_box, range_box/1000);
fclose(f);

%% write the .ati file
% if options1(end)=='*'
%     f = fopen([title(1:end-4) '.ati'], 'w');
%     fprintf(f, '''L''\n');
%     
%     nR=1001; % !!! number of surface points to be assigned a height
%     fprintf(f, '%d\n', nR);
%     
%     r= linspace(0, range_box/1000, nR); % !!! range of surface points
%     y= 1+sin(200*2*pi*r); % !!! height of surface points (surface pattern)
%     y=y-min(y); 
%     
%     for k=1:nR
%         fprintf(f, '%f ', r(k));
%         fprintf(f, '%f \n', y(k));
%     end
%     fclose(f);
% end
cd (pathnam)