[y,fs ] = audioread('LargeRangeIn.wav');
x = linspace(0,length(y)/fs,length(y));
% normalize  input and output 
y(:,2) = y(:,2)./max(abs(y(:,2)));
y(:,1) = y(:,1)./max(abs(y(:,1)));
figure; plot(x,y)
legend('Signal from cPap','Signal from cNode')
xlabel('sec')
ylabel('amplitude')
title('Around 4500 m (Not calibrated)')

[y,fs ] = audioread('1000mOut.wav');
x = linspace(0,length(y)/fs,length(y));
% normalize  input and output 
y(:,2) = y(:,2)./max(abs(y(:,2)));
y(:,1) = y(:,1)./max(abs(y(:,1)));
figure; plot(x,y)
legend('Signal from cNode','Signal from cPap')
xlabel('sec')
ylabel('amplitude')
title('Around 1300 m (Not calibrated)')