function Bellhop_Interface(filename)

actpath = cd;
global var 
global var2
var = 0;
%filename = '';
global filnam;
global SSP_z
global cc
global RX_range
global zmax
global fil
menuflg = menu({'Marine Acoustics Experiment';'October 2012'},...
     'Retrieve CTD data (cnv file)','Load and edit Bellhop Input file', ...
     'Run Bellhop','Plot Results','Quit');
 
switch menuflg
    case 1
        disp('-------------------------')
        disp('***Retrieving CTD data***')
        writeBellhopInput
        disp('***       Done        ***')
        disp('-------------------------')
        Bellhop_Interface
    case 2 
        disp('-----------------------------------')
        disp('***   Load environmental file   ***')
%         cd ENVFILES
        [name,pathnam] = uigetfile('.env','Choose CTD file');
        filnam=['MakedFile\' name]; 
        filename = [pathnam name(1:end-4)];
        disp('************************************************************')
        disp(filename)
                disp('************************************************************')
        disp(['*** Loaded ' filnam ' ***'])
%         cd(actpath)
        if exist([filename '.bty'])
           edit([filename '.bty'])
           disp(['*** Bathymetry file ' filnam(1:end-4) '.bty opened in Matlab editor ***'])
        end
        if exist([filename '.ati'])
           edit([filename '.ati'])
           disp(['*** Ati file ' filnam(1:end-4) '.ati opened in Matlab editor ***'])
        end
        edit([filename '.env'])
        disp(['*** Environmental file ' filnam ' opened in Matlab editor ***'])
        disp('-----------------------------------')
        Bellhop_Interface(filename)        
    case 3
        var = 1;
        var2 = var;
        disp('--------------------------')
        disp('***   Running Bellop   ***')
        runbellhop2(filename)
        disp('***        Done        ***')
        disp('--------------------------')
        
        Bellhop_Interface(filename)
        
    case 4
        disp('----------------------------------')
        disp('***     Plotting Results       ***')
%         disp(filename)
        subplot(1,5,2:5)  
        if exist([filename '.ray'],'file') 
            
                      
            disp('*** Plotting Rays or EigenRays ***')        
            plotray( [filename '.ray'] );
            
            
%         elseif exist([filename '.arr'],'file')
%             disp('***     Plotting Arrivals      ***')
%             plotBellhopArrivals(filename) 
%         elseif exist([filename '.shd'],'file')
%             disp('***     Plotting TL      ***')
%             plotBellhopTL(filename)
        end
        if exist([filename '.ati'],'file')
            disp('***     Plotting ATI      ***')
            plotati([filename '.ati']);
        end
        if exist([filename '.bty'],'file')
            disp('***     Plotting BTY      ***')
            plotbty([filename '.bty'])    
        end
        if exist([filename '.shd'],'file')
%             close all
            disp('***     Plotting SHD      ***')
            plotshd([filename '.shd']);
        end
        if exist([filename '.arr'],'file')
%             close all
            disp('***     Plotting ARR      ***')
            plotarr2([filename '.arr']);
        end
        if var2 ~= 1
            warning('Run Bellhop first!');
        end
        xlim([0 RX_range*1.1])
        ylim([0 zmax])
        subplot(1,5,1)
        plot(cc,SSP_z)
        axis ij
        
        disp('***            Done           ***')
        disp('---------------------------------')
        Bellhop_Interface(filename)
    case 5
%         close all
%         clear all
        return;
end
% close all
% clear all

end
