function RealTime(handles)
% RealTime - function for running real time audio signal processing
%
% This function runs an infinite loop accessing audio signals in real time
% See "headerRealTime.m", for decleration of the parameters. 
%
% Last modified 09.12.2014 by
% Frank Hetland & Leo Hauge

global forever nSampl reflections pathGUI pathFunc filnam

if forever==0,
    % Toggle Pushbutton
    pause(0.0001)
    forever = 1;
    set(handles.Realtime,'String','STOP');
    set(handles.Realtime,'BackgroundColor',[0.9 0.4 0.4]);
    pause(0.0001)
else
    % Toggle Pushbutton
    pause(0.0001)
    forever = 0;
    set(handles.Realtime,'String','START');
    set(handles.Realtime,'BackgroundColor',[0.639 0.91 0.651]);
    pause(0.0001)
end
%% import parameteres from matlab script

headerRealTime

%% Pick out reflections with 20 dB less amplitude than max amplitude
% amplitudeLimitSelection

% maxDelay = 0;
% % Finner max delay av alle refleksjoner for alle kanalene
% for n = 1:nChannels
%     tempNarr = Narr{n};
%     tempDelay = delay{n};
%     tempMaxDelay = max(tempDelay(1:tempNarr));
%     if (maxDelay<tempMaxDelay)
%         maxDelay = tempMaxDelay;
%     end
% end





%
% % samples of maximum delay - system delay
% samples = round(maxDelay*Fs);
% samples = samples+31;
% % create an array to convolve the input signal with to add delay
% b = zeros(samples,nChannels);
%
% b{m}(a:a+leng,i)


% % SoundCard GAIN, adjusted for equally strong signal in as out
% % SKAL VRE MED ??? %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% adjustedGain = 2.4; %198/18.0;
%
% % transmit sensitivity
% Su = 145;
% % Receiver sensitivity
% M = -190;
% % AttUTBIN
% AttUTBin = 51; %51;
% % Attenuation Out-UTB
% AttOutUTB = 58;
% %  Attenuation SoundCard
%
%
% % Total Gain
% G = Su + M + AttUTBin + AttOutUTB;
% gSkalar = 10^(G/20);
% % coefs = zeros(Narr,31);
% cmean = mean(c);
% %% for # number of multipaths
% for m = 1:nChannels
%     tempDelay = delay{m};
%     tempAmp = amp{m};
%     tempAmp = gSkalar.*tempAmp;
%     t = 0;
%     for n = 1:Narr{m}
%         tempAmp(n) = abs(tempAmp(n)).*sign(real(tempAmp(n)));
%         coef = designAbsorptionFilter(tempDelay(n)*cmean,Fs,temp,cmean,depth);
%         if (abs(tempAmp(n)))>adjustedGain
% %             tempAmp(n) = adjustedGain;
%             t = 1;
% %             coef = coef./max(coef);
%         end
%     end
%     if t == 1;
%             tempAmp(1:end) = adjustedGain;
%     end
%     for n = 1:Narr{m}
%         a = round(tempDelay(n)*Fs);
%         b(a:a+30,m) = tempAmp(n).*coef;
%     end
% end
%
%
% % Attemuation UTB over EL interface
% attUTBtoReceiver =58;
% attUTBtoTransmitter =  51;
% receiveSens = 1;%10^((attUTBtoTransmitter/20));
% Adjustment to get the signal to the right level according to sound
% pressure re 1 muPa
% transmitDir = 10^((TotalLossDir+transmittSens+attUTBtoTransmitter)/20);
% transmitRefl = 10.^((TotalLossRefl+transmittSens+attUTBtoTransmitter)./20);
% receiveSens = 10^((recSens+attUTBtoReceiver)/20);

pathRecord=cd ('RecordedFiles');
AFWOut = dsp.AudioFileWriter([pathRecord '\RecordedFiles\' filnam 'Out.wav'],'FileFormat', 'WAV');
AFWOut.SampleRate =Fs;
AFWIn = dsp.AudioFileWriter([pathRecord '\RecordedFiles\' filnam 'In.wav'],'FileFormat', 'WAV');
AFWIn.SampleRate =Fs;

cd (pathGUI) % HAVE TO BE BEFORE THE LOOP BECAUSE OF GLOBAL RUN



% disp('Speak into microphone now');
%   [audioIn,nOverrun] = step(AR);
%   step(AFW,audioIn);


if forever
    disp('**************************************************************')
    disp('**************************************************************')
    disp('**************************************************************')
    disp('**************************************************************')
    disp('***********        Now running the emulator        ***********')
    disp('**************************************************************')
    disp('**************************************************************')
    disp('**************************************************************')
    disp('**************************************************************')
else
    disp('**************************************************************')
    disp('**************************************************************')
    disp('**************************************************************')
    disp('**************************************************************')
    disp('***********        Not running the emulator        ***********')
    disp('**************************************************************')
    disp('**************************************************************')
    disp('**************************************************************')
    disp('**************************************************************')
end

% % y = zeros(samples+fSize,1);
% signalOnChannel = zeros(samples+fSize-1,nChannels);
% TxIn = zeros(samples+fSize-1,1);
% frameZeroRx = zeros(fSize,nChannels);
% frameZeroTx = zeros(fSize,1);
% out = zeros(fSize,nodes);
% zeroMat = zeros(fSize,nodes);
% teller = 0;
% % % SoundCard GAIN, adjusted for equally strong signal in as out
% % adjustedGain = 198/18.0;
% % testSignal = [];

 

% b = channelMatrix(handles);
% pick out matrix
b = handles.settings.matrix;

pause(0.001)

signalChannel=cell(nodes,1);
% [wid,hei ]= size(handles.settings.matrix);
% sizes = zeros(wid,1);
for n = 1:nodes
    tmp = 0;
    for m = 1:nodes
        [leng,update] = size(b{n,m});
        if (n~=m)
            if tmp<leng
                tmp = leng;
                sizes = leng + fSize - 1;
                signalChannel{n} = zeros(sizes,1);
            end
        end
    end
end

% % % test plot 
% for m = 1:nodes
%     for n = 1:nodes
%         if (m~=n)
%             figure; plot(b{m,n}(:,1))
%         end
%     end
% end

% find sizes for the larges array/channel for every node
% sizes(1:end) = sizes(1:end)+fSize-1;
  %leng+fSize-1
frameZero = zeros(fSize,1);
% signalChannel{} = zeros(leng+fSize-1,nodes);

out = zeros(fSize,nodes);
teller = 0;
teller2 = 1;
% SoundCard GAIN, adjusted for equally strong signal in as out
adjustedGain = 1.01;
% testSignal = [];





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
VoltTrans=3.95; %[v]
MatlabLvl=0.3;
VoltGain =VoltTrans/MatlabLvl;
%  2*0.01831 * VoltGain
noise = noise.*(10^-6);
noise = noise./VoltGain;
noise = noise';
numNoiseFrame = floor(length(noise) / fSize);
% noise = reshape(noise,[],numNoiseFrame);
inOutRelation = 3.95/1.88; % measurements
if (mod(handles.statement.propTrue,2)==0)
    while forever,
        gSkalar =1;%0;% 10^((154.8-190+20*log10(150)-51+58)/20);
        pause(0.0000001)
        % read audio frame
        in = step(Mic);%adjustedGain.*step(Mic);
        in = in.*gSkalar*inOutRelation; 
        
        out = zeros(fSize,nodes);
        for m = 1:nodes
            for n = 1:nodes
                if (m~=n)
                    temp = in(:,n);
                    out(:,m) = out(:,m) + temp;
                end
            end
        end
        
        
        step(AFWIn,in);
        
        % adjusted output
%         out = in;%*transmitDir*receiveSens;
        % play
        step(Speaker, out)
    end
    
else    
    while forever,
        pause(0.000002)
        teller = rem(teller,update)+1;
        teller2 = rem(teller2+1,numNoiseFrame-1)+1;
        start = 1 + (teller2-1)*fSize;
        stop = (teller2)*fSize;
        % read audio
        
        in = inOutRelation.*step(Mic);
        
        step(AFWIn,in);
        for m = 1:nodes
            for n = 1:nodes
                if (m~=n)
%                     figure(7); plot(in(:,m))
                    temp = conv(in(:,n),b{m,n}(:,teller));
%                     figure(5); plot(temp)
%                     figure(8); plot(b{m,n}(:,teller))
                    ss = length(temp);
                    signalChannel{m}(1:ss,1) = signalChannel{m}(1:ss,1) + temp;
                end
            end
            out(:,m) = signalChannel{m}(1:fSize,1)+noise(start:stop,1);
            signalChannel{m} = [signalChannel{m}(fSize+1:end,1);frameZero];
        end
        %       transmit audio
%         tall=1;
%         out(:,2) = out(:,2)./tall;
%          out(:,3) = out(:,3)./tall;       
%         out(:,1) = out(:,1)./tall;
        step(Speaker, out)
        %         record to file
        step(AFWOut,out);
    end % end of real-time loop
end % if

release(Mic)
release(Speaker)
release(AFWOut)
release(AFWIn)
