%% Pick signals with no more than 20 dB drop from max amplitude

dBlim = 20; 
for n = 1:nChannels
    Arr  = [];
    maxAmp = 0;
    minAmp = 0;
    tempAmp = amp{n};
    for m = 1:Narr{n}
        if abs(maxAmp) < abs(tempAmp(m))
            maxAmp = sign(tempAmp(m))*abs(tempAmp(m));
            minAmp = 10^(-dBlim/20)*abs(tempAmp(m));
        end
    end
    for m = 1:Narr{n}
        if ( abs(tempAmp(m))> minAmp)
            Arr = [Arr,m];
        end
    end
    Narr{n} = length(Arr);
    tempArray{n} = Arr;
end


for n = 1:nChannels
    tempDelay = zeros(1,Narr{n});
    tempAmp= zeros(1,Narr{n});
    tempSrc= zeros(1,Narr{n});
    tempRcv= zeros(1,Narr{n});
    tempTop= zeros(1,Narr{n});
    tempBot= zeros(1,Narr{n});
    for m = 1:Narr{n}
        index = tempArray{n}(m);
        tempDelay(m) = delay{n}(index);
        tempAmp(m) = amp{n}(index);
        tempSrc(m) = SrcAngle{n}(index);
        tempRcv(m) = RcvrAngle{n}(index);
        tempTop(m) = NumTopBnc{n}(index);
        tempBot(m) = NumBotBnc{n}(index);
    end
    delay{n} = tempDelay;
    amp{n} = tempAmp;
    SrcAngle{n} = tempSrc;
    RcvrAngle{n} = tempRcv;
    NumTopBnc{n} = tempTop;
    NumBotBnc{n} = tempBot;
    handles.settings.nArrival{n}.delay      = tempDelay;
    handles.settings.nArrival{n}.A          = tempAmp;
    handles.settings.nArrival{n}.SrcAngle   = tempSrc;
    handles.settings.nArrival{n}.RcvrAngle  = tempRcv;
    handles.settings.nArrival{n}.NumTopBnc  = tempTop;
    handles.settings.nArrival{n}.NumBotBnc  = tempBot;
    handles.settings.nArrival{n}.Narr       = Narr{n};
end
