[filename, path] = uigetfile('.txt', 'Transducer');
if isequal(filename,0)
    disp('cancel')
    return
end

        % make a string of the choosen file. 
        disp(filename)
        filenamePath=strcat(path,filename); 
        transducerData=read_txt(filenamePath);
        
        % open file with transducer freq. names 
%         eval(['NAME_' num2str(i) '=dataset;']);
        FID = fopen('TransducerFreq.txt', 'r');
        while ~feof(FID) % s lenge filen ikke er avsluttet
            line = fgetl(FID); % f frste linje
            separate=find(line==';');
            for i=1:length(separate)+1
                [freq, line] = strtok(line, ';');
                freq_name{i}=freq;
            end
        end
             
        % Make a dataset for the different datasettings from the transducer. 
        if (strcmp(filename, 'directivityTransducer.txt'))
            directivityData=transducerData;
            [row,col]=size(directivityData);
            theta=linspace(-130,130,row*2-1);
            name=[];
            color=['r','b','g','bl','y','t','c'];
            for i=1:col-1
                a = mod(i,length(color));
                if a ==0
                    a = length(color);
                end
                transducer=directivityData(:,i+1)';
                % to get the whole spectra from -90 to +90 degrees
                transducer=[fliplr(transducer(1:end)), transducer(2:end)]; 
                eval(['Transducer' strtrim(freq_name{i}) '=transducer;']);
                p{i}=polardb(theta,transducer,-30,3,color(i));
                hold on
                name=[name, ' ',strtrim(freq_name{i})];
            end
            
            name=strsplit(name(2:end));
            legend([p{1:length(p)}],name )
            hold off
      
   
